### R code from vignette source 'homals.Rnw'

###################################################
### code chunk number 1: homals.Rnw:329-332
###################################################
library("homals")
data("senate")
res <- homals(senate, active = c(FALSE, rep(TRUE, 20)), ndim = 3)


###################################################
### code chunk number 2: homals.Rnw:334-339 (eval = FALSE)
###################################################
## # Figure 1
## plot3d(res, plot.type = "objplot", sphere = FALSE, bgpng = NULL)
## plot(res, plot.type = "spanplot", plot.dim = c(1, 2), var.subset = 1, xlim = c(-2, 3), ylim = c(-2, 3), asp = 1)
## plot(res, plot.type = "spanplot", plot.dim = c(1, 3), var.subset = 1, xlim = c(-2, 3), ylim = c(-2, 3), asp = 1)
## plot(res, plot.type = "spanplot", plot.dim = c(2, 3), var.subset = 1, xlim = c(-2, 3), ylim = c(-2, 3), asp = 1)


###################################################
### code chunk number 3: homals.Rnw:342-345 (eval = FALSE)
###################################################
## # Figure 2
## par(mfrow = c(1, 1))
## plot3dstatic(res, plot.type = "loadplot")


###################################################
### code chunk number 4: homals.Rnw:373-375
###################################################
p.res <- predict(res)
p.res$cl.table$Party


###################################################
### code chunk number 5: homals.Rnw:396-397
###################################################
data("galo")


###################################################
### code chunk number 6: homals.Rnw:399-400
###################################################
options(warn = -1)


###################################################
### code chunk number 7: homals.Rnw:402-404
###################################################
res <- homals(galo, active = c(rep(TRUE, 4), FALSE), sets = list(c(1,2,4),3,5))
predict(res)


###################################################
### code chunk number 8: homals.Rnw:406-408 (eval = FALSE)
###################################################
## plot(res, plot.type = "vorplot", var.subset = 3, asp = 1)
## plot(res, plot.type = "labplot", var.subset = 2, asp = 1)


###################################################
### code chunk number 9: homals.Rnw:415-419 (eval = FALSE)
###################################################
## data("iris")
## res <- homals(iris, sets = list(1:4, 5), level = c(rep("polynomial", 4), "nominal"), rank = 2, itermax = 2000)
## plot(res, plot.type = "hullplot", var.subset = 5, cex = 0.7, xlim = c(-3,3), ylim = c(-4,3), asp = 1)
## plot(res, plot.type = "labplot", var.subset = 3, cex = 0.7, xlim = c(-3,3), ylim = c(-4,3), asp = 1)


###################################################
### code chunk number 10: homals.Rnw:434-435 (eval = FALSE)
###################################################
## plot(res, plot.type = "lossplot", var.subset = 1:4, cex = 0.7, xlim = c(-3, 3), ylim = c(-5, 3), asp = 1)


###################################################
### code chunk number 11: homals.Rnw:451-456 (eval = FALSE)
###################################################
## data("neumann")
## res.lin <- homals(neumann, sets = list(3,1:2), level = "numerical", rank = 1)
## res.mon <- homals(neumann, sets = list(3,1:2), level = "ordinal", rank = 1)
## plot(res.lin, plot.type = "loadplot", main = "Loadings Plot Linear Regression", xlim = c(-10, 10), ylim = c(-5, 10), asp = 1)
## plot(res.mon, plot.type = "loadplot", main = "Loadings Plot Monotone Regression", xlim = c(-10, 10), ylim = c(-5, 10), asp = 1)


###################################################
### code chunk number 12: homals.Rnw:504-508 (eval = FALSE)
###################################################
## data("roskam")
## res <- homals(roskam, rank = 1, level = "ordinal")
## plot(res, plot.type = "objplot", xlim = c(-2.5, 2.5), ylim = c(-2.5, 2.5), asp = 1)
## plot(res, plot.type = "vecplot", var.subset = 2, main = "Vector Plot Rater 2", xlim = c(-2.5, 2.5), ylim = c(-2.5, 2.5), asp = 1)


